# Uses of Class
org.apache.lucene.index.DocIDMerger

Packages that use DocIDMerger
Package
Description
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of DocIDMerger in org.apache.lucene.index

  Methods in org.apache.lucene.index that return DocIDMerger
  Modifier and Type
  Method
  Description
  `static <T extends DocIDMerger.Sub>
  DocIDMerger<T>`
  DocIDMerger.`of(List<T> subs, boolean indexIsSorted)`
  Construct this from the provided subs
  `static <T extends DocIDMerger.Sub>
  DocIDMerger<T>`
  DocIDMerger.`of(List<T> subs, int maxCount, boolean indexIsSorted)`
  Construct this from the provided subs, specifying the maximum sub count